View Issue Details

IDProjectCategoryView StatusLast Update
0002157unrealmodule apipublic2007-04-18 07:27
ReporterDukatAssigned Tostskeeps 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.3-alpha0 
Summary0002157: Cloaking module allows identical Cloak Keys
DescriptionI don't know if it's by design, but the cloaking module allows Cloakkey 1 and 3 to be identical.
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002348 closed New cloak.c does not validate keys correctly 
child of 0003111 closed 3.2.7 Release 

Activities

2007-01-02 18:06

 

cloakkeytest.patch (784 bytes)

djGrrr

2007-01-02 18:08

reporter   ~0012971

Last edited: 2007-01-03 08:27

I've made a patch to fix this issue, and i also changed the strcmp's to stricmp's in the check, just to make sure the keys are random enough, and not just the same with different case :)

vonitsanet

2007-04-18 07:08

reporter   ~0013515

*bump*

stskeeps

2007-04-18 07:27

reporter   ~0013516

Patched in .2358

Issue History

Date Modified Username Field Change
2004-11-04 11:16 Dukat New Issue
2005-02-18 10:22 syzop Relationship added has duplicate 0002348
2006-11-12 14:37 syzop Relationship added child of 0003111
2007-01-02 18:06 djGrrr File Added: cloakkeytest.patch
2007-01-02 18:08 djGrrr Note Added: 0012971
2007-01-03 08:27 djGrrr Note Edited: 0012971
2007-04-18 07:08 vonitsanet Note Added: 0013515
2007-04-18 07:11 stskeeps Status new => acknowledged
2007-04-18 07:27 stskeeps Status acknowledged => resolved
2007-04-18 07:27 stskeeps Fixed in Version => 3.3-alpha0
2007-04-18 07:27 stskeeps Resolution open => fixed
2007-04-18 07:27 stskeeps Assigned To => stskeeps
2007-04-18 07:27 stskeeps Note Added: 0013516
2017-01-06 15:48 syzop Category module => module api